# Method: accounts.productInputs.delete

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/products_v1/accounts.productInputs/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/products_v1/accounts.productInputs/delete#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/products_v1/accounts.productInputs/delete#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/products_v1/accounts.productInputs/delete#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/products_v1/accounts.productInputs/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/products_v1/accounts.productInputs/delete#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/products_v1/accounts.productInputs/delete#try-it)

Deletes a product input from your Merchant Center account.

After inserting, updating, or deleting a product input, it may take several minutes before the processed product can be retrieved.

### HTTP request

`DELETE https://merchantapi.googleapis.com/products/v1/{name=accounts/*/productInputs/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the product input to delete. Format: `accounts/{account}/productInputs/{productInput}` The {productInput} segment is a unique identifier for the product. This identifier must be unique within a merchant account and generally follows the structure: `contentLanguage~feedLabel~offerId`. Example: `en~US~sku123` For legacy local products, the structure is: `local~contentLanguage~feedLabel~offerId`. Example: `local~en~US~sku123` The format of the {productInput} segment in the URL is automatically detected by the server, supporting two options: 1. **Encoded Format** : The `{productInput}` segment is an unpadded base64url encoded string (RFC 4648 Section 5). The decoded string must result in the `contentLanguage~feedLabel~offerId` structure. This encoding MUST be used if any part of the product identifier (like `offerId`) contains characters such as `/`, `%`, or `~`. - Example: To represent the product ID `en~US~sku/123`, the `{productInput}` segment must be the unpadded base64url encoding of this string, which is `ZW5-VVN-c2t1LzEyMw`. The full resource name for the product would be `accounts/123/productInputs/ZW5-VVN-c2t1LzEyMw`. 2. **Plain Format** : The `{productInput}` segment is the tilde-separated string `contentLanguage~feedLabel~offerId`. This format is suitable only when `contentLanguage`, `feedLabel`, and `offerId` do not contain URL-problematic characters like `/`, `%`, or `~`. We recommend using the **Encoded Format** for all product IDs to ensure correct parsing, especially those containing special characters. The presence of tilde (`~`) characters in the `{productInput}` segment is used to differentiate between the two formats. |

### Query parameters

| Parameters ||
|---|---|
| `dataSource` | `string` Required. The primary or supplemental data source from which the product input should be deleted. Format: `accounts/{account}/dataSources/{datasource}`. For example, `accounts/123456/dataSources/104628`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).